Bug 1466646 - OCP 3.3 ResourceQuota doesn't support requests.storage [NEEDINFO]
OCP 3.3 ResourceQuota doesn't support requests.storage
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
3.3.1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Burke
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 02:59 EDT by Kenjiro Nakayama
Modified: 2017-07-27 15:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 15:46:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
knakayam: needinfo? (decarr)
mburke: needinfo? (decarr)


Attachments (Terms of Use)

  None (edit)
Description Kenjiro Nakayama 2017-06-30 02:59:39 EDT
Description of problem:
- OCP 3.3 ResourceQuota doesn't support requests.storage

Version-Release number of selected component (if applicable):
- OCP 3.3

How reproducible:
- 100%

Steps to Reproduce:
1. Define ResourceQuota with requests.storage

  # cat c.yaml
  apiVersion: v1
  kind: ResourceQuota
  metadata:
    name: storage-consumption
  spec:
    hard:
      requests.storage: "50Gi"

2. Create ResourceQuota

  # oc create -f c.yaml

Actual results:
---

  # oc create -f c.yaml
  The ResourceQuota "storage-consumption" is invalid.

  * spec.hard[requests.storage]: Invalid value: "requests.storage": must be a standard resource type or fully qualified
  * spec.hard[requests.storage]: Invalid value: "requests.storage": must be a standard resource for quota

Expected results:
---
- Create resourceQuota with requests.storage as docs explains - https://docs.openshift.com/container-platform/3.3/dev_guide/compute_resources.html

Additional info
---
- We know that 3.4 or later works fine.
Comment 1 Derek Carr 2017-06-30 10:40:13 EDT
This is another doc error as well.

OpenShift 3.3 only supported "persistentvolumeclaims", OpenShift 3.4 added support for requests.storage.

Mike - can you fix 3.3 documentation to not include requests.storage or limits.storage?
Comment 2 Hemant Kumar 2017-06-30 11:10:12 EDT
Opened PR - https://github.com/openshift/openshift-docs/pull/4683
Comment 3 Kenjiro Nakayama 2017-06-30 11:40:45 EDT
Derek, I know limits.storage is a doc issue, but could you please explain why
 3.3 cannot implement requests.storage?
Customers purchased and started using OpenShift after they expected that all of docs info could be feasible. Red Hat's "Not possible, so let's remove the feature from the doc" causes bad user experience.
Comment 4 Michael Burke 2017-07-07 16:20:03 EDT
Derek see https://bugzilla.redhat.com/show_bug.cgi?id=1466646#c3
Comment 5 Michael Burke 2017-07-27 15:46:26 EDT
Change is live. Closing. 
https://docs.openshift.com/container-platform/3.3/admin_guide/quota.html#managed-by-quota

Note You need to log in before you can comment on or make changes to this bug.